Bug 1300106 - docker-compose-1.6.0 is available
docker-compose-1.6.0 is available
Status: CLOSED DUPLICATE of bug 1311330
Product: Fedora
Classification: Fedora
Component: docker-compose (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Hampton
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On: 1302467 1309720
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-19 19:19 EST by Upstream Release Monitoring
Modified: 2016-03-12 00:56 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-12 00:56:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2016-01-19 19:19:11 EST
Latest upstream release: 1.6.0-rc1
Current version/release in rawhide: 1.5.2-4.fc24
URL: https://github.com/docker/compose

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2016-01-19 19:19:14 EST
Failed to kick off scratch build.

[Errno 2] No such file or directory: '/var/tmp/thn-pA2ab0'
Comment 2 Upstream Release Monitoring 2016-01-27 19:10:30 EST
Latest upstream release: 1.6.0-rc2
Current version/release in rawhide: 1.5.2-4.fc24
URL: https://github.com/docker/compose

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 3 Upstream Release Monitoring 2016-01-27 19:10:33 EST
Failed to kick off scratch build.

[Errno 2] No such file or directory: '/var/tmp/thn-3sNH4z'
Comment 4 Upstream Release Monitoring 2016-02-04 19:14:59 EST
Latest upstream release: 1.6.0
Current version/release in rawhide: 1.5.2-4.fc24
URL: https://github.com/docker/compose

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 5 Upstream Release Monitoring 2016-02-04 19:15:01 EST
Failed to kick off scratch build.

[Errno 2] No such file or directory: '/var/tmp/thn-11NbB4'
Comment 6 Upstream Release Monitoring 2016-02-04 19:55:28 EST
error's docker-compose-1.6.0-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=728501
Comment 7 Fedora Update System 2016-02-04 20:04:45 EST
docker-compose-1.6.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9ed4d853f0
Comment 8 Fedora Update System 2016-02-05 18:51:08 EST
docker-compose-1.6.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9ed4d853f0
Comment 9 Markus Heberling 2016-02-18 08:12:20 EST
This also needs python-dockerpty > 0.4 otherwise you get the following error:

Traceback (most recent call last):
  File "/usr/bin/docker-compose", line 9, in <module>
    load_entry_point('docker-compose==1.6.0', 'console_scripts', 'docker-compose')()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 558, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2682, in load_entry_point
    return ep.load()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2355, in load
    return self.resolve()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2361, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/usr/lib/python2.7/site-packages/compose/cli/main.py", line 45, in <module>
    from dockerpty.pty import PseudoTerminal, RunOperation
ImportError: cannot import name RunOperation
Comment 10 Bohuslav "Slavek" Kabrda 2016-03-07 05:28:57 EST
Hi, I'd very much like to see compose >= 1.6.0 in F23. If there's anything I can help with, please say so.
Comment 11 Jiri Popelka 2016-03-08 06:25:29 EST
(In reply to Markus Heberling from comment #9)
> This also needs python-dockerpty > 0.4 otherwise you get the following error:
> 
>   File "/usr/lib/python2.7/site-packages/compose/cli/main.py", line 45, in
> <module>
>     from dockerpty.pty import PseudoTerminal, RunOperation
> ImportError: cannot import name RunOperation

I'm seeing the same even with dockerpty-0.4.1 from PyPI.
Maybe it's been fixed in docker-compose-1.6.1 or 1.6.2 ?
Comment 12 Jiri Popelka 2016-03-08 06:29:57 EST
(In reply to Jiri Popelka from comment #11)
> I'm seeing the same even with dockerpty-0.4.1 from PyPI.

Scratch that please, it was a PEBKAC. Works with 0.4.1.
Comment 13 Michael Hampton 2016-03-12 00:56:55 EST

*** This bug has been marked as a duplicate of bug 1311330 ***

Note You need to log in before you can comment on or make changes to this bug.